<ion-header>
  <ion-toolbar class="header">
    <ion-buttons slot="start">
      <ion-menu-button autoHide="false"></ion-menu-button>
    </ion-buttons>
    <ion-title>Anunciar animais</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content padding>
  <!-- <ion-button *ngIf="user == undefined" expand="full" color="danger" [routerDirection]="'root'"
    [routerLink]="['/register']">Cadastre-se</ion-button>

  <p text-center *ngIf="user == undefined">Já possui uma conta?</p>
  <ion-button *ngIf="user == undefined" expand="full" color="primary" [routerDirection]="'root'"
    [routerLink]="['/login']">Entrar</ion-button> -->

  <form #form="ngForm" (ngSubmit)="salvar(form)" method="post">
    <ion-item>
      <ion-label position="floating">Nome</ion-label>
      <ion-input ngModel type="text" name="nome"></ion-input>
    </ion-item>
    <ion-item>
      <ion-label position="floating">Descrição</ion-label>
      <ion-input ngModel type="text" name="descricao"></ion-input>
    </ion-item>
    <ion-item>
      <ion-label>Tipo</ion-label>
      <ion-select interface="popover" placeholder="Selecione o tipo" (ionChange)="busca_racas($event.detail.value)"
        name="tipo" (ngModel)="tipo">
        <ion-select-option value="1">Cachorro</ion-select-option>
        <ion-select-option value="2">Gato</ion-select-option>
      </ion-select>
    </ion-item>
    <ion-item>
      <ion-label>Raça</ion-label>
      <ion-select #raca interface="popover" placeholder="Selecione a raça" disabled="{{desabilitaRaca}}" name="raca"
        (ngModel)="raca">
        <ion-select-option *ngFor="let raca of racas" value="{{raca.id}}">{{raca.nome}}</ion-select-option>
      </ion-select>
    </ion-item>
    <ion-item>
      <ion-label position="floating">Cor</ion-label>
      <ion-input ngModel type="text" name="cor"></ion-input>
    </ion-item>
    <ion-item>
      <ion-label position="floating">Data de nascimento</ion-label>
      <ion-input ngModel type="text" name="data_nascimento"></ion-input>
    </ion-item>
    <ion-item>
      <ion-label>Porte</ion-label>
      <ion-select interface="popover" placeholder="Selecione o porte" name="porte" (ngModel)="porte">
        <ion-select-option value="1">Pequeno</ion-select-option>
        <ion-select-option value="2">Médio</ion-select-option>
        <ion-select-option value="3">Grande</ion-select-option>
      </ion-select>
    </ion-item>
    <ion-item>
      <ion-label>Sexo</ion-label>
      <ion-select interface="popover" placeholder="Selecione o sexo" name="sexo" (ngModel)="sexo">
        <ion-select-option value="1">Macho</ion-select-option>
        <ion-select-option value="2">Fêmea</ion-select-option>
      </ion-select>
    </ion-item>
    <ion-item>
      <ion-label>Estado</ion-label>
      <ion-select interface="popover" placeholder="Selecione o estado" (ionChange)="busca_cidades($event.detail.value)"
        name="estado" (ngModel)="estado">
        <ion-select-option *ngFor="let estado of estados" value="{{estado.id}}">{{estado.nome}}</ion-select-option>
      </ion-select>
    </ion-item>
    <ion-item>
      <ion-label>Cidade</ion-label>
      <ion-select interface="popover" placeholder="Selecione a cidade" disabled="{{desabilitaCidade}}" name="cidade"
        (ngModel)="cidade">
        <ion-select-option *ngFor="let cidade of cidades" value="{{cidade.id}}">{{cidade.nome}}</ion-select-option>
      </ion-select>
    </ion-item>
    <ion-item>
      <ion-label position="floating">CEP</ion-label>
      <ion-input ngModel type="text" name="cep"></ion-input>
    </ion-item>
    <ion-item>
      <ion-label position="floating">Rua</ion-label>
      <ion-input ngModel type="text" name="rua"></ion-input>
    </ion-item>
    <ion-item>
      <ion-label position="floating">Bairro</ion-label>
      <ion-input ngModel type="text" name="bairro"></ion-input>
    </ion-item>
    <ion-item>
      <ion-label position="floating">Complemento</ion-label>
      <ion-input ngModel type="text" name="complemento"></ion-input>
    </ion-item>
    <ion-item>
      <ion-label position="floating">Número</ion-label>
      <ion-input ngModel type="text" name="numero"></ion-input>
    </ion-item>
    <ion-item>
      <ion-label>Tipo do anúncio</ion-label>
      <ion-select interface="popover" placeholder="Selecione o tipo" name="tipo_anuncio" (ngModel)="tipo_anuncio">
        <ion-select-option value="1">Adoção</ion-select-option>
        <ion-select-option value="2">Doação</ion-select-option>
        <ion-select-option value="3">Resgate</ion-select-option>
        <ion-select-option value="4">Desaparecido</ion-select-option>
        <ion-select-option value="5">Encontrado</ion-select-option>
      </ion-select>
    </ion-item>
    <ion-button color="medium" size="large" (click)="cropUpload()">
      <ion-icon slot="icon-only" name="camera"></ion-icon>
    </ion-button>
    <ion-button type="submit" expand="block" color="success" (click)="salvar()">Salvar</ion-button>
  </form>

</ion-content>